> For the complete documentation index, see [llms.txt](https://docs.snyk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snyk.io/agent-security/agentic-security-with-snyk-studio/agentic-security-with-snyk-studio.md).

# Overview

How Snyk Studio embeds security directives into AI-assisted development workflows

Agentic workflows accelerate software development and innovation but introduce security risks, for example, AI-generated vulnerabilities or providing insecure practice suggestions. To address these risks, Snyk Studio embeds directives directly into AI-assisted development workflows to guide the agent towards secure software development.

Snyk Studio connects the Snyk platform, your development environment, and your AI tools in interconnected layers:

* A [default, hooks-based approach](/agent-security/agentic-security-with-snyk-studio/getting-started-with-snyk-studio.md) to ensure agents generate secure code.
* AI agents or [ADEs](https://docs.snyk.io/glossary#ade): Agentic development environments that enable developers to interact with coding agents, which can integrate with Snyk Studio to drive security.
* [Directives](https://docs.snyk.io/glossary#directive): Hooks, skills, rules, and commands provided to coding assistants to guide them on coding and security standards.
* [Snyk MCP Server](https://docs.snyk.io/glossary#snyk-mcp-server): An MCP server that enables easy integration with coding assistants, providing security context to AI agents. This runs locally using the Snyk CLI.
* The Snyk platform: Security intelligence from Snyk products (Snyk Code, Snyk Open Source, and more) which can be used to identify security issues and drive resolutions.

## Coding assistant support

Snyk Studio supports the following ADEs with the default hooks-based experience:

* [Claude Code](/agent-security/agentic-security-with-snyk-studio/quickstart-guides/claude-code-guide.md)
* [Codex CLI](/agent-security/agentic-security-with-snyk-studio/quickstart-guides/codex-cli-guide.md)
* [Cursor](/agent-security/agentic-security-with-snyk-studio/quickstart-guides/cursor-guide.md)
* [Gemini CLI](/agent-security/agentic-security-with-snyk-studio/quickstart-guides/gemini-cli-guide.md)

Snyk supports any AI agent and ADE that integrates with a local MCP Server and offers [quickstart guides](/agent-security/agentic-security-with-snyk-studio/quickstart-guides.md) for some of these to provide additional guidance.

## Resources

Snyk provides a general setup guide with instructions applicable to all coding assistants. To learn more, visit [Getting started with Snyk Studio](/agent-security/agentic-security-with-snyk-studio/getting-started-with-snyk-studio.md).

To learn about Snyk directives, which govern agent behavior and are automatically injected into agent interactions, visit [Guardrail Directives](/agent-security/agentic-security-with-snyk-studio/directives.md#guardrail-directives). To learn about Snyk directives, which human developers or AI agents can invoke manually, visit [Command Directives](/agent-security/agentic-security-with-snyk-studio/directives.md#command-directives).

Snyk Studio supports large-scale distribution and centralized governance. For guidance on how to handle scaling across your organization, visit [Distribution at scale](/agent-security/agentic-security-with-snyk-studio/distribution-at-scale.md).

## MCP Server supported tools

Snyk Studio supports integrating the following Snyk security tools into an AI system:

* `snyk_sca_scan` (Open Source scan)
* `snyk_code_scan` (Code scan)
* `snyk_iac_scan` (IaC scan)
* `snyk_container_scan` (Container scan)
* `snyk_sbom_scan` (SBOM file scan)
* `snyk_aibom` (create AI-BOM)
* `snyk_trust` (trust a given folder before running a scan)
* `snyk_auth` (authentication)
* `snyk_logout` (logout)
* `snyk_version` (version information)
* `snyk_send_feedback` (summarizing issues fixed)
* `snyk_package_health_check` (evaluate package health during dependency selection)

{% hint style="info" %}
Running `snyk_sca_scan` can execute third-party ecosystem tools (for example, Gradle or Maven) on your machine to fetch the dependency tree for the Project.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snyk.io/agent-security/agentic-security-with-snyk-studio/agentic-security-with-snyk-studio.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
